#
# spec file for package perl-Dist-Zilla-Util-Test-KENTNL
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dist-Zilla-Util-Test-KENTNL
Version:        1.005014
Release:        1.1
%define cpan_name Dist-Zilla-Util-Test-KENTNL
Summary:        KENTNL's DZil plugin testing tool
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dist-Zilla-Util-Test-KENTNL/
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.120620
BuildRequires:  perl(Data::DPath)
BuildRequires:  perl(Dist::Zilla::App::Command::authordeps)
BuildRequires:  perl(Dist::Zilla::App::Tester)
BuildRequires:  perl(Dist::Zilla::Tester)
BuildRequires:  perl(Dist::Zilla::Util)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Path::Tiny) >= 0.050
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::DZil)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(recommended)
Requires:       perl(Data::DPath)
Requires:       perl(Dist::Zilla::App::Tester)
Requires:       perl(Dist::Zilla::Tester)
Requires:       perl(Dist::Zilla::Util)
Requires:       perl(Module::Runtime)
Requires:       perl(Moo)
Requires:       perl(Path::Tiny) >= 0.050
Requires:       perl(Sub::Exporter)
Requires:       perl(Test::DZil)
Requires:       perl(Test::Fatal)
Requires:       perl(Test::More) >= 0.96
Requires:       perl(Try::Tiny)
Requires:       perl(recommended)
Recommends:     perl(Moo) >= 1.000008
Recommends:     perl(Path::Tiny) >= 0.058
Recommends:     perl(Test::Differences)
Recommends:     perl(Test::More) >= 0.99
Recommends:     perl(Test::TempDir::Tiny)
%{perl_requires}

%description
This module is KENTNL's kit for testing Dist::Zilla.

Most of his modules should be moving to using the `dztest` model instead
which is more flexible source side.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Wed Jun 21 2017 coolo@suse.com
- updated to 1.005014
  see /usr/share/doc/packages/perl-Dist-Zilla-Util-Test-KENTNL/Changes
  1.005014 2017-03-01T19:59:32Z 679d730
  [Bugfix]
  - Update tooling to avoid test failures with '.' leaving @INC
  - Closes https://github.com/kentnl/Dist-Zilla-Util-Test-KENTNL/issues/3
  [Dependencies::Stats]
  - Dependencies changed since 1.005013, see misc/*.deps* for details
  - develop: +1 ↑1 (suggests: ↑1)
* Sun Oct 25 2015 coolo@suse.com
- updated to 1.005013
  see /usr/share/doc/packages/perl-Dist-Zilla-Util-Test-KENTNL/Changes
  1.005013 2015-10-19T11:29:36Z 0343510
  [Dependencies::Stats]
  - Dependencies changed since 1.005012, see misc/*.deps* for details
  - configure: +2
  - develop: +5 ↑1 -1 (suggests: ↑2)
  [Packaging]
  - Use a simpler version of DynamicPrereqs invokation, thanks @karenetheridge
  - Closes #1
* Fri Apr 17 2015 coolo@suse.com
- updated to 1.005012
  see /usr/share/doc/packages/perl-Dist-Zilla-Util-Test-KENTNL/Changes
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.01015821
  see /usr/share/doc/packages/perl-Dist-Zilla-Util-Test-KENTNL/Changes
* Sat Jan 22 2011 coolo@novell.com
- initial package 0.01000510
  * created by cpanspec 1.78.03
